> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/a2a/credit/:id/payment`

> `POST /api/v1/a2a/credit/:id/payment`

### Path parameters

<ParamField path="id" type="string" required>
  Credit terms ID (UUID)
</ParamField>

### Request body

`CreditAmountRequest`

<ParamField body="amount" type="number (double)" required />

<ParamField body="notes" type="string,null" />

<ParamField body="reference_id" type="string,null" />

### Responses

<ResponseField name="200" type="CreditTermsResponse" />

<ResponseField name="400" type="ErrorBody" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/a2a/credit/{id}/payment' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "amount": 1,
    "notes": null,
    "reference_id": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "available_credit": "string",
    "credit_limit": "string",
    "creditor_agent_id": "string",
    "currency": "string",
    "debtor_agent_id": "string",
    "id": "string",
    "outstanding_balance": "string",
    "payment_terms": "string",
    "status": "string"
  }
  ```
</ResponseExample>
